Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
Fola Posted on 25/02/2019 14:37
Sol Campbell
Edited On: 03/05/2019 11:42
Report Message | Email Message To A Friend | Reply To Message
 
Yates: P:16 W:0 D:7 L:9 GF:18 GA:38 GD:-20
Whitaker: P:11 W:4 D:0 L:7 GF:9 GA:21 GD:-12
Campbell: P:26 W:7 D:10 L:9 GF:32 GA:37 GD:-5

The amount of stick that Campbell is getting from some Macc "fans" is an absolute disgrace. If we'd of kept Yates we'd of been long gone. If we'd of kept Whitaker, we'd of been long gone. There hasn't been any matches this season under Campbell where we've been dominated. Under Yates we were battered on countless occasions. Under Whitaker, he managed us against Northampton, Bury and Maidstone where lets be honest, we were absolutely XXXXXX dreadful- even worse than we were under Yates.

Get behind Sol Campbell and stop XXXXXX moaning because there is no way in 1 million years that anyone would be giving DW any stick if he had the record Sol has had here.

Nobody expected us to stay up. It was always going to be a long shot and now thanks to Campbell we have a chance.
IP: Logged
macctown11 Posted on 25/02/2019 14:57
Sol Campbell
Edited On: 25/02/2019 14:58
Report Message | Email Message To A Friend | Reply To Message 

 
Totally agree [^]

If the season started at the point of Sol's first league match in charge, we'd currently be sat 6 points above the bottom two in 16th with a vastly superior goal difference. That for me is a great effort given where we were when Yates left!!
IP: Logged
LancsMacc Posted on 25/02/2019 15:03
Sol Campbell
Edited On: 25/02/2019 15:04
Report Message | Email Message To A Friend | Reply To Message 

 
Well said, Sol has done ok. Macc now have a realistic chance of staying up. At the end of October we were dead and buried playing awful football and getting 3 or 4 knocked passed us every week.
Whitaker & Howarth are playing legends, but people seem to forget the thrashings taken playing Northampton, Bury & Accrington and the dismal display at Maidstone.
IP: Logged
RoweyOnTheWing Posted on 25/02/2019 15:15
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Heís doing ok but overworks the players out in training hence we give away leads and incur injuries due to fatigue. We also, and this is painfully obvious but here goes, donít win enough. Occasional Yeovil / Morecambe victories counteract three hard earned draws.
IP: Logged
Dobby Posted on 25/02/2019 15:54
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Fola, agree 100%
Sol has given us a chance of survival where after the Yates fiasco there was nothing to build on. No fault of Danny, he served us well in the interim but Sol came in and found an unfit squad who were a soft touch.
As others have said, he has had to work the squad hard in training and some may be tired but the longer that goes on the more benefit they will gain.
We should all get behind Sol and the team and we can do this!
IP: Logged
Waloc Posted on 25/02/2019 16:12
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Agree with this post by Fola
IP: Logged
leedsblue Posted on 25/02/2019 16:42
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Well said Fola.
IP: Logged
bollingtonblue Posted on 25/02/2019 17:23
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
I think the real test of Sol Campbell's managerial capabilities at this level will come next season. I hope that is in League 2 and not the National League, but either way he will have a full pre-season to mould a squad together and get them playing the way he would like.
IP: Logged
maccjaj Posted on 25/02/2019 17:57
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Agree with you Fola, well researched and written.
IP: Logged
maccjaj Posted on 25/02/2019 17:59
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Agree with you Fola, well researched and written.
IP: Logged
silkmanofHAT Posted on 25/02/2019 19:32
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
I still like Danny's record best. Took us to our first win of the season!!!Yes he is a legend but look at Solskjaer.
IP: Logged
boomer22 Posted on 25/02/2019 20:15
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Sol has instilled discipline and belief into the squad. I agree we had no backbone before and were getting hammered it was embarrassing to watch. Now Saturday is something to look forward to rather than dread as each game brings us hope of survival rather than the despair we were suffering before.
IP: Logged
pontiuspilate Posted on 25/02/2019 21:56
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
I think heís done a decent job so far, good post Fola, letís keep the faith, in Sol we trust 👍
IP: Logged
crazyface Posted on 26/02/2019 08:29
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Great effort to produce the stats, which make interesting reading. My main concern, as I have said, is about the players Sol's brought in. Why is he not starting them? How many? 6? We'd have been much better with 3 good starters! One of which should have been a striker. This is what will keep us us. He's not got one. so........
IP: Logged
macchiavelli Posted on 26/02/2019 09:33
Sol Campbell
Edited On: 26/02/2019 09:37
Report Message | Email Message To A Friend | Reply To Message 

 
I am sure that Sol is starting the players he feels are committed, in form, used to the system and match fit.

With only 12 more games now until the relegation crocodile bites, he just doesn't have the luxury of gambling on starting players who may take 3 or 4 games to get up to speed.

Brice Ntambwe had a couple of outings, and seemed well off the pace. He might well be an excellent asset given a few more games, but the point is, we don't have a few more games while he beds in.

I would be eager to see what Mullings, Biabi, Andoh and co. have to offer, but I think, on balance, Sol's doing the right thing. Only time will tell if it works! 🤞
IP: Logged
JH23 Posted on 26/02/2019 10:28
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Crazyface, he has two good strikers, Wilson has been scoring regularly since the new year and Smith has been playing well. Having Pearson, Durrell, Evans, DW etc match fit will be a massive boost and a couple of them are not far away.
IP: Logged
crazyface Posted on 26/02/2019 11:55
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Just what is Durells injury? He's been out for most of the season.
IP: Logged
Fola Posted on 27/02/2019 10:23
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Durrell got injured around this time last season and in a whole year has played 4/5 matches yet people moaning because he's not starting immediately after returning!
IP: Logged
macchiavelli Posted on 27/02/2019 10:55
Sol Campbell
Edited On: 27/02/2019 11:48
Report Message | Email Message To A Friend | Reply To Message 

 
Absolutely correct, Fola. It's catch 22. We need the time we just do not have to get these crucial players fit.

Must admit I have a sneaking feeling that we will only see Danny W again if there is an emergency leaving us desperately short in MF.

I think his race may be pretty much run on the field. I reckon he would have had some minutes by now if we were looking for Dan to make an urgent return.
IP: Logged
fossey Posted on 04/03/2019 09:05
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
On skysports news tonight from 7PM not talking possibly much about macc more about his problems in the game
IP: Logged
LancsMacc Posted on 04/03/2019 10:40
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
There's no lack of effort from anyone, but Maykock, MWH, Arthur and Kelleher are not good enough to be starting IMO. Rose could do with a rest too.
Maykock has a 'good engine' and goes for 90+ minutes, but offers nothing else as far as I can see. MWH has promise, but now's not the time to throw him in, he's still learning on a weekly basis. Koby can occasionally do something special, but with 11 games to go we need more consistency and an end product out wide. I accept Kelleher has to start while Jules is out, there are no better alternative options in that position.
I've been fully behind Sol since he came in, but he needs to start our better players now they're back. Durrell, Evans, Stephens, Whitaker, Lloyd, Martis etc, there are plenty of options! I don't care what the data vests are telling him in training, they should be starting games.
IP: Logged
beartowner Posted on 04/03/2019 10:49
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
That's the problem though. All us fans have been desperately hoping that Campbell will bring these players back, but he won't. I just can't see us surviving with him in charge now.
IP: Logged
macchiavelli Posted on 04/03/2019 11:04
Sol Campbell
Edited On: 04/03/2019 11:05
Report Message | Email Message To A Friend | Reply To Message 

 
It would be a massive gamble to throw in the players mentioned who have proven ability, but, most at present, have questionable fitness.

If they are brought back too early and break down again, it will avail us naught.

I would be very surprised if Sol were not keeping a very close eye on these players regarding recovery from injury and fitness levels. I don't think it's a tactical thing that they don't start.

I think Durrell could play a major part in the next 2 home games.
IP: Logged
pontiuspilate Posted on 04/03/2019 11:16
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Completely agree, given the issues re injuries they need time to get back, we have potentially easier games than Bury coming up, which you would hope that the players mentioned such as Durrell would have a big part to play in, we have seen with Durrell, Evans , Lloyd that they have all broken down quickly again this season, I am sure Sol is as frustrated as we are but I would sooner Durrell was running Yeovil, Morecambe and Vale ragged than getting injured in an away game that we never get anything from. What would be nice is to get information on players fitness levels and if they could manage 30/60 or 90 minutes.
IP: Logged
macchiavelli Posted on 04/03/2019 11:42
Sol Campbell
Edited On: 04/03/2019 11:43
Report Message | Email Message To A Friend | Reply To Message 

 
Agree it would be good to get a general update on players recovering from injury, though I doubt Sol would want to give potential ammo to our rivals in terms of how many minutes he thought individual players could play.
IP: Logged
spoons Posted on 04/03/2019 16:19
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
We need a massive gamble now. Time is running out. He needs to throw them in.
IP: Logged
Batesy109 Posted on 04/03/2019 18:40
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Letís now get to blinded by SCís nonsense, 2 out of the 3 players would have been fit and firing at the start of the season had their respective injuries been diagnosed properly by the club last season. Durrellís knee injury was sustained during the Crawley game and was nothing to do with breaking down and Evans did one ankle in a freak collision with Kelleher, came back and did the other one. Neither has sustained repeat injuries on a previous injury. Also letís not forget these players all came back into the team just as Whittís took over and thatís where things started to improve!

Donít need to be Einstein to see what needs to happen now!

IP: Logged
boomer22 Posted on 04/03/2019 22:07
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
We can't afford to be part of a failed experiment he needs to listen to the fans and common sense we can't all be wrong we know our players!
IP: Logged
crazyface Posted on 05/03/2019 08:22
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Any of the fans could have done just a good a job as SC has done. What an utter plonker he is.
IP: Logged
beartowner Posted on 05/03/2019 08:42
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Agreed, the man is an egotist who thinks he knows everything. Apparently he won't even consult with Whit on team selection. The celebrity manager experiment has failed.
IP: Logged
Silkfantastic Posted on 05/03/2019 09:23
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Sol certainly comes across as being very confident, though I think Saturday's result has knocked his confidence back a bit.

Not so much that we lost the game, but that we conceded three goals, which reflects adversely on his defensive coaching ability.

I don't agree that the experiment has failed at all. Bar a change here and there, Sol fielded a team that had secured three consecutive draws ... which I think is a reasonable approach.

For me (excuse pun) I would fielded the substitutes around 15 mins into the second half (at Bury) and given our fans favourite players some game time.
IP: Logged
crazyface Posted on 05/03/2019 09:31
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Judging by his team selections he is ploughing a, now, very deep furrow using the same players week in week out. The team need freshening up and soon. [rle]
IP: Logged
macchiavelli Posted on 05/03/2019 09:50
Sol Campbell
Edited On: 05/03/2019 09:51
Report Message | Email Message To A Friend | Reply To Message 

 
Another crucial round of fixtures this Sat...

MTFC (23rd) v MK (4th)
Port Vale (22nd) v Mansfield (3rd)
Morecambe (21st) v FGR (7th)
Cheltenham (17th) v Notts C (24th)

A golden opportunity for any of the strugglers to overachieve, and give themselves an edge for the run in.

But who can take it?
IP: Logged
Batesy109 Posted on 05/03/2019 15:28
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Whilst I applaud your optimism Silkfantastic weíre talking about games against Crewe (who were in no way, shape or form anything to shout home about) Colchester who we were probably hard done by to lose at their place and Crawley who we convincingly beat at home in December. These are 3 games where youíd certainly want 6 points out of 9 from, 3 draws is hardly credible with the current situation. The way to look at it; we drew 3 consecutive games and got further away (pointswise) than we were before.

The Campbell factor has well and truly worn off, we are not a better team now, than we were when Whittís took control for those handful of games on his own.
IP: Logged
crazyface Posted on 06/03/2019 09:53
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Sadly you are right.

Who thinks Sol will stay with us when we go down?
IP: Logged
bollingtonblue Posted on 06/03/2019 10:18
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
I would say that he has to stay if he fails to keep us up otherwise he will be back to square one with his fledgling managerial career with no success to help get another job. If he had a good season in the National League (at least the play-offs) he could then move on with something positive on his cv.
IP: Logged
Silkmanfwd Posted on 06/03/2019 16:01
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Random fact : Campbell is Gaelic for crooked mouth !![:O][;)]
IP: Logged
supermacc Posted on 06/03/2019 16:45
Sol Campbell
Edited On: 06/03/2019 16:49
Report Message | Email Message To A Friend | Reply To Message 

 
If the poor results continue Iím sure we will hear a lot more about what a difficult task Sol was given when he took the job, and there will be little mention of the fact he was allowed to bring in 8 players in January.

MK will be tough on Saturday. Not a popular call but I would be tempted to start with extra man in midfield to get a foothold in the game, and go back to 4-4-2 if we need to chase the game.

As others have said we need experienced players like Duzza, Evans, and Lloyd on the pitch. Stephens can open up a defence and brings a level of energy and mobility that weíve missed.

Plenty for the man with the FIFA pro licence to think about!

IP: Logged
bollingtonblue Posted on 09/03/2019 00:48
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Do I detect some nervousness in SC in his latest pre-match interview on the OS? It must be difficult to find anything original to say every week but I didn't detect anything very analytical or decisive in his words.
I think we all need a win or two!
IP: Logged
lymeview Posted on 09/03/2019 08:43
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Duzza, Lloyd and Evans do not have much experience at this level.
IP: Logged
supermacc Posted on 09/03/2019 10:23
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
They have plenty of experience but less experience of failing at this level [?]

Recent performances havenít been good enough and changes are required
IP: Logged
silkmanofHAT Posted on 09/03/2019 10:39
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
I would be genuinely worried if I were Sol, for my managerial career. If we get beat today and next we are as good as relegated. With the points average required way above what we have achieved so far. I would not want Sol next year if he has been given such resources this year and made a balls of it. Danny should be next seasons manager if we go back to the conference.
IP: Logged
macchiavelli Posted on 09/03/2019 11:21
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
I think any manager, be they good, bad or indifferent, needs time, preparation and careful planning to mould a decent side.

It seems like Sol was told,'It's half way through the season and we're in a death spiral towards relegation. Here's a few quid, see what you can do'.

He has been given resources, but he hasn't had much time or opportunity to really develop the side.

He doesn't have the luxury of experimenting with players in different positions and getting everyone match fit because there is massive and increasing pressure on every game now.

Maybe if he had been given the same resources and time to build at the start of the season things might be better, I just don't know.

As things stand, I think the 'Great Escape' would be little short of miraculous now.
IP: Logged
silkmanofHAT Posted on 09/03/2019 17:47
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Bring back Yates!
IP: Logged
boomer22 Posted on 09/03/2019 18:21
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Bring back hanging!
IP: Logged
supermacc Posted on 09/03/2019 21:51
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
The definition of madness is doing the same thing over and over and expecting a different result. Well, nobody can accuse Sol of that.

Wasnít totally unreasonable to drop/rest 8 from last week but Smithy should have started. Thought he was right to play 4-5-1 and it worked well in the first half.

Solís interview far more accurate than the BS served up last week, As group they need to work out why ball rentention was so poor in the 2nd half.

Stephens became ineffective and visibly frustrated toward the end. I would have given Mullings 10 mins

Sol is also right when he says he needs people who have strength of character. I think the same applies to the fans too.

30 points still on the table...


IP: Logged
Paddysboyz Posted on 09/03/2019 23:31
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Do you know what a fans forum is (that doesn't cost seventy five quid) and where the McIlroy suite is located post match?

Kind regards

PB [smi].
IP: Logged
crazyface Posted on 03/04/2019 10:24
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Heard last night Sol brought in the players he did on the advice of agents. HE NEVER SAW THEM ACTUALLY PLAY. No wonder they aren't getting a game.

What an utter clown.[:O]
IP: Logged
lymeview Posted on 03/04/2019 13:46
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
That is not unusual these days - plenty of information available, videos, match reports, discussions with existing players and other managers.
IP: Logged
Fola Posted on 03/04/2019 15:16
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Yeah that's not unheard of at all.
IP: Logged
silktown Posted on 03/04/2019 15:20
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
If the players were "free agents" how could he have the opportunity to see them play ? [rle]
IP: Logged
lymeview Posted on 03/04/2019 18:20
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Some of them were training with us and I imagine he has access to videos of past games.
IP: Logged
crazyface Posted on 04/04/2019 08:10
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Videos!? Videos!? Do you think he'll be shown the ones where they were utter XXXXXXe? We can all do the odd skillful bit of football, christ I can even now. Can I do it consistantly over 9-0 minutes? Not now, not EVER. Hence why I'm sat at my desk[:(!] bored XXXXXXless at work. Videos my XXXXXX.
IP: Logged
Fola Posted on 04/04/2019 09:01
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
I know the majority were training with the club before they were signed. Yes it was a gamble but I don't see an issue with it really.

Give Campbell a full summer with recruitment and then see what he can do.
IP: Logged
boomer22 Posted on 04/04/2019 19:10
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
21 points now and the permutations are diminishing fast. We can't afford to keep earning lessons we need to get it right in next three games.
IP: Logged
Scrumps Posted on 04/04/2019 20:51
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
I was a Sol supporter until the Stevenage game but now I'm in 2 minds. Continuing to play 5 at the back when we were losing at home against a very average team says to me he has lost his bottle. Okay Danny came on and scored and got us a point but for me it was 2 points dropped. We Will NOT get out of this mess playing such negative tactics at home - draws are no good. It looks like Notts County are prepared to gamble 3-0 away from home and if they continue to keep their nerve then good luck to them, but all this negative formation stuff at home is a road to disaster when you are running out of games!
IP: Logged
maccman Posted on 04/04/2019 22:26
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
I donít think the current formation is particularly defensive. The two fullbacks get more licence to attack which certainly seems to be suiting Pearson. Against Stevenage we made some excellent chances in that first half but were poor in finishing.
IP: Logged
Fola Posted on 05/04/2019 09:21
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Yeah I agree. Gives license for Fitz and Pearson to get forward. Funny thing is if Askey or Whit had of used this formation they'd be praised. Askey played 1 upfront all year last year too and got no stick.

Let Sol do his job.
IP: Logged
JH23 Posted on 05/04/2019 10:50
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
I don't see it as a defensive formation. Three centre backs and two wing backs. Throw in the fact that Smith/Wilson have the creativity of Cole, Stephens and Durrell there as well, there is plenty of creativity there. On the bench there is DW, Martis/Lloyd to change it up as well.
IP: Logged
Fola Posted on 08/04/2019 09:24
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
I've updated Sol's record in the opening post. [^]
IP: Logged
boomer22 Posted on 08/04/2019 14:08
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Ok it would work if Fitz were a raiding full back but he isn't so would need MWH or Demetriou neither of whom are rated by this board. That's where it comes undone. So stick with a flat back 4 and get someone on the left wing.
IP: Logged
macchiavelli Posted on 13/04/2019 10:28
Sol Campbell
Edited On: 13/04/2019 10:41
Report Message | Email Message To A Friend | Reply To Message 

 
It's been a hard grind, but I think Sol has done a fantastic job to get us within a genuine shout of survival from where we were.

And he isn't doing it for the money. He genuinely wants to be a good football manager. According to wiki, Sol is worth £55m. He could probably buy and sell Amar several times over.

But that's not what it's about. He obviously loves the game and has put in the hard yards to get his coaching badges.

I would be very surprised if his ambitions did not extend beyond keeping Macclesfield Town in L2, but I will be extremely grateful if he does.
IP: Logged
bollingtonblue Posted on 27/04/2019 20:24
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
With one game to go this season it looks as though we will just avoid relegation. Sol Campbell's record since he took charge after the game at Exeter has been 30 points from 25 games. This is 1.2 points per game which would have seen us on 54 points and in 17th place if applied to the full season to date.
Given the position we were in when he took over this has to be a good although not spectacular performance.
If we do stay up can we achieve a top half finish under SC next season?
Let's get the final game over this season with a win and finish with three teams below us.
IP: Logged
imlosingit Posted on 27/04/2019 20:57
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
its not over yet and it could all turn ugly 445pm nmext week. we need to go for a win no playing for a draw or this will be the same as when man city got relegated by luton in 83,before that game same points differance..no pussying about we go for it..
IP: Logged
pontiuspilate Posted on 27/04/2019 21:08
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Listening to the Oxford assistant manager on Talk Sport the other night, he reckons teams such as Macclesfield,Morecambe,Cambridge, Crawley can only expect to be in the bottom 6 season after season, so if thatís the case and if we stay up; then next season we achieved 17th place,that would be quite spectacular and perhaps we need to be realistic about what we can achieve given our playing budget.
IP: Logged
Smoky2 Posted on 27/04/2019 21:16
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
It isnít very long ago that most Macc fans expected us to be relegated .. Now most hope ( expect ) us to stay up - thanks to having an excellent manager .
If we do survive he deserves the freedom of the town .
IP: Logged
tobefair Posted on 27/04/2019 22:26
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Who gives a f**k what the Oxford assistant manager thinks?!
IP: Logged
pontiuspilate Posted on 27/04/2019 23:47
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Clearly not you, but the point he made was quite a valid one, so next season when complete ball bags like you start slagging off the manager owner etc that we are not top of the league, that realistically if we survive then thatís probably as good as it gets.
IP: Logged
metz1984 Posted on 27/04/2019 23:57
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
we are punching above our weight as it is,if we stay up we will always be in the bottom 6 ending in the dogfight.we just dont have the finance to compete higher up the leauge unless we get a new owner who will pump loads of money into the club,thats how the games gone THANKS TO THAT XXXXXXIN PREMIER LEAUGE.over paid spoilt Pogba and so on
IP: Logged
zelem Posted on 28/04/2019 01:32
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Cambell;over opinitated bell end, trying to play the race card every time! It shouldnt matter if your green, white, black, pink, yellow , male, female, transexual, transgengender, shagging lenox lewis or anything! Pick the folk that do the job for the club and fans!

IP: Logged
imlosingit Posted on 28/04/2019 01:34
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Exactly..[^]
IP: Logged
imlosingit Posted on 28/04/2019 01:39
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Smokey 2 did Paul Ince get the freedom of the town when he And RM kept us up?
IP: Logged
Fola Posted on 03/05/2019 11:44
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Updated the opening post with Sol's record compared to Whit and Yates.

Tell you what, for his first managerial job, no matter what happens, he's done very well under very difficult off the field issues.
IP: Logged
crazyface Posted on 05/05/2019 12:25
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Well done Sol. A bit of organisation and effort goes a long way. Now then, lets see just how good you are with a pre-season and a full budget to work with.

PS I'd make DW your full time assistant.
IP: Logged
jefft Posted on 05/05/2019 13:17
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
A very 'warm' piece about Sol Campbell in the sports pages of today's Observer headlined 'Sol the survivor should now find himself in demand', and began by:- 'To be at Moss Rose yesterday to see Macclesfield Town complete their feat of escapology from the bottom of League Two was to witness arguably one of the success stories of the season'. It mentions that we took him on when all other clubs 'looked the other way', that our financial position means we train on a school playing field 20 miles away, and that players' wages have not been paid for four months, we survived a winding up order, and yet 'Campbell has overseen something truly special at the unpretentious little ground. All of which is a long way from the days when a former England international found, unlike many of his old teammates, he could barely even get a job interview'.
Bigger clubs than ours will now see his potential, but hopefully so will other people see the potential of our club for the future.
'Against all odds' was never better said.
IP: Logged
macchiavelli Posted on 05/05/2019 15:10
Sol Campbell
Edited On: 05/05/2019 15:11
Report Message | Email Message To A Friend | Reply To Message 

 
I think Sol has done a magnificent job given his starting point, the resources he was given, and what he had to work with.

Unfortunately, I am struggling to see 'the potential of our club for the future', while we remain in the shadow of the Premiership Leviathans, with average gates of a couple of thousand.

I think 'Against all odds' is right, and we proved it again this season, but I am finding it difficult to square this with any massive potential for improvement going forward. Not without someone prepared to throw silly money at the problem, at least.
IP: Logged
MenorahTableofShowbread Posted on 05/05/2019 16:40
Sol Campbell

Report Message | Email Message To A Friend | Reply To Message 

 
Or a different way of doing business
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213